* {
    box-sizing: border-box;
}

body.login {
    margin: 0;
    min-height: 100vh;
    display: flex;
    flex-direction: column;
    background-color: var(--element-background);
    color: var(--text-color);
    font-size: var(--font-size);
    line-height: var(--line-height);
    background-color: var(--element-background);
    font-family: 'Roboto', sans-serif;
}

body.login #login {
    width: 100%;
    max-width: 100%;
    padding: 48px;
}

body.login .wp-login-logo {
    display: none !important;
}

#varustaja_login_wrap,
body.login #login .language-switcher {
    width: 100%;
    max-width: 512px;
}

body.login #login .language-switcher {
    padding: 0;
    margin: 24px auto auto auto;
}

#varustaja_login_wrap {
    background-color: var(--page-background);
    border: var(--border);
    border-top: 8px solid var(--blue);
    border-radius: var(--radius);
    margin: auto;
    display: flex;
    flex-direction: column;
    gap: 24px;
    padding: 48px;
}

#varustaja_login_wrap .custom-logo,
#varustaja_login_wrap .custom-logo-link {
    display: flex;
    width: max-content;
    max-width: 100%;
    height: 28px;
    margin: 0 auto;
    text-align: center;
}

#varustaja_login_wrap .text_wrap {
    width: 100%;
    display: flex;
    flex-direction: column;
    gap: 4px;
    text-align: center;
}

#varustaja_login_wrap .text_wrap a {
    text-decoration: none;
    color: var(--blue);
}

#varustaja_login_wrap .text_wrap a:hover {
    text-decoration: underline;
    color: var(--text-color);
}

#varustaja_login_wrap .form_title {
    font-size: var(--label-font-size);
    line-height: var(--label-line-height);
    font-weight: 700;
    color: var(--text-color);
}

#varustaja_login_wrap .secondary_text,
#varustaja_login_wrap #nav a,
#varustaja_login_wrap #loginform .forgetmenot label {
    font-size: var(--secondary-font-size);
    line-height: var(--secondary-line-height);
    color: var(--secondary-text-color);
}

#varustaja_login_wrap #nav a:hover {
    color: var(--blue);
    text-decoration: underline;
}

#varustaja_login_wrap #loginform,
#varustaja_login_wrap #lostpasswordform {
    margin: 0;
    padding: 0;
    background: transparent;
    border: none;
    box-shadow: none;
    display: flex;
    flex-direction: column;
    gap: 24px;
}

#varustaja_login_wrap #loginform>*,
#varustaja_login_wrap #lostpasswordform>* {
    display: flex;
    flex-direction: column;
    gap: 8px;
    margin: 0;
    padding: 0;
}

#varustaja_login_wrap #loginform label,
#varustaja_login_wrap #loginform input,
#varustaja_login_wrap #lostpasswordform label,
#varustaja_login_wrap #lostpasswordform input {
    font-size: var(--font-size);
    line-height: var(--line-height);
    color: var(--text-color);
    margin: 0;
}

#varustaja_login_wrap #loginform label,
#varustaja_login_wrap #lostpasswordform label {
    padding: 0;
    font-weight: 700;
    text-transform: uppercase;
}

#varustaja_login_wrap #loginform input,
#varustaja_login_wrap #lostpasswordform input {
    padding: 12px;
    border: var(--border);
    border-radius: calc(var(--radius) / 2);
    transition: var(--transition);
}

#varustaja_login_wrap #loginform input::placeholder,
#varustaja_login_wrap #lostpasswordform input::placeholder {
    color: var(--secondary-text-color);
    opacity: .75;
}

#varustaja_login_wrap #loginform input:focus,
#varustaja_login_wrap #lostpasswordform input:focus {
    outline: none;
    box-shadow: none;
    border-color: var(--blue);
}

#varustaja_login_wrap #loginform input#user_login {
    background-image: url('../icons/alternate_email.svg');
}

#varustaja_login_wrap #loginform input#user_pass {
    background-image: url('../icons/key.svg');
}

#varustaja_login_wrap #loginform input#user_login,
#varustaja_login_wrap #loginform input#user_pass {
    background-repeat: no-repeat;
    background-position: 12px center;
    background-size: 24px;
    padding-left: 48px;
}

#varustaja_login_wrap #loginform .submit .button,
#varustaja_login_wrap #lostpasswordform .submit .button {
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
    text-align: center;
    border: var(--border);
    border-color: var(--blue);
    background-color: var(--blue);
    border-radius: calc(var(--radius) / 2);
    color: var(--page-background);
    font-size: var(--font-size);
    line-height: var(--line-height);
    text-transform: uppercase;
    font-weight: 700;
    transition: var(--transition);
}

#varustaja_login_wrap #loginform .submit .button:hover,
#varustaja_login_wrap #lostpasswordform .submit .button:hover {
    background-color: var(--text-color);
}

#varustaja_login_wrap #loginform .forgetmenot {
    display: flex;
    align-items: center;
    justify-content: start;
    flex-direction: row;
}

#varustaja_login_wrap #loginform .forgetmenot label {
    text-transform: unset;
    font-weight: 400;
}

#varustaja_login_wrap #nav {
    padding: 0;
    margin: 0;
    display: flex;
    align-items: center;
    justify-content: center;
}

#varustaja_login_wrap #login_error {
    margin: 0;
}

/* #varustaja_login_wrap  */